Bug 165251 - [New port] net-mgmt/observium
Summary: [New port] net-mgmt/observium
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-17 19:50 UTC by Rachel Flynn
Modified: 2012-02-28 20:10 UTC (History)
0 users

See Also:


Attachments
observium-0.11.5.2261.sh (187.53 KB, text/plain)
2012-02-17 19:50 UTC, Rachel Flynn
no flags Details
observium-0.11.5.2261.sh (189.84 KB, text/plain)
2012-02-21 16:55 UTC, Rachel Flynn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rachel Flynn 2012-02-17 19:50:10 UTC
New port for Observium, as per WantedPorts.

Fix: Port contains a fix-up for invalid XML when short_open_tags is disabled
in the php configuration.
This has been fixed upstream, but not in the released version.


How-To-Repeat: D.N.A.
Comment 1 Rachel Flynn 2012-02-18 22:48:45 UTC
Noticed a few problems with respect to upgrading and COPYTREE_SHARE.

Will make a new shar, as soon as possible.

-- Mel
Comment 2 Rachel Flynn 2012-02-21 16:55:34 UTC
New shar attached.
Had to add a patch to make adding a new host via webinterface work
correctly. Issue has been fixed upstream, but as of yet no new release.

Also modified pkg-message to warn against using the php functions for
data retrieval ($config['snmp']['internal']). Fixing this would require
several patches in several files and the default setting is to use the
net-snmp binaries, so things will work correctly out of the box.
-- 
Mel
Comment 3 Michael Scheidell freebsd_committer 2012-02-28 12:10:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 dfilter service freebsd_committer 2012-02-28 20:05:18 UTC
scheidell    2012-02-28 20:05:01 UTC

  FreeBSD ports repository

  Added files:
    net-mgmt/observium   Makefile distinfo pkg-descr pkg-plist 
    net-mgmt/observium/files patch-html__pages__addhost.inc.php 
                             pkg-message.in 
  Log:
  Add port net-mgmt/observium: As per WantedPorts.
  
  Observium is an autodiscovering PHP/MySQL/SNMP based network monitoring
  which includes support for a wide range of network hardware and
  operating systems including Cisco, Linux, FreeBSD, Juniper, Brocade,
  Foundry, HP and many more.
  
  - fix-up for invalid XML, fixed in upstream, but not in released version
  
  PR:             ports/165251
  Submitted by:   Mel Flynn <rflynn@acsalaska.net> (maintainer)
  Approved by:    gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.1       +132 -0    ports/net-mgmt/observium/Makefile (new)
  1.1       +4 -0      ports/net-mgmt/observium/distinfo (new)
  1.1       +15 -0     ports/net-mgmt/observium/files/patch-html__pages__addhost.inc.php (new)
  1.1       +17 -0     ports/net-mgmt/observium/files/pkg-message.in (new)
  1.1       +13 -0     ports/net-mgmt/observium/pkg-descr (new)
  1.1       +4228 -0   ports/net-mgmt/observium/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell freebsd_committer 2012-02-28 20:05:49 UTC
State Changed
From-To: open->closed

New port added.  Should show up in mirrors soon.  Thanks!